Open CASCADE Technology: HLRBRep_HLRToShape Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
HLRBRep_HLRToShape Class Reference

A framework for filtering the computation results of an HLRBRep_Algo algorithm by extraction. From the results calculated by the algorithm on a shape, a filter returns the type of edge you want to identify. You can choose any of the following types of output: More...

`#include <HLRBRep_HLRToShape.hxx>`

## Public Member Functions
| HLRBRep_HLRToShape (const Handle< HLRBRep_Algo > &A)
| Constructs a framework for filtering the results of the HLRBRep_Algo algorithm, A. Use the extraction filters to obtain the results you want for A. More...
TopoDS_Shape | VCompound ()
TopoDS_Shape | VCompound (const TopoDS_Shape &S)
TopoDS_Shape | Rg1LineVCompound ()
TopoDS_Shape | Rg1LineVCompound (const TopoDS_Shape &S)
TopoDS_Shape | RgNLineVCompound ()
TopoDS_Shape | RgNLineVCompound (const TopoDS_Shape &S)
TopoDS_Shape | OutLineVCompound ()
TopoDS_Shape | OutLineVCompound3d ()
TopoDS_Shape | OutLineVCompound (const TopoDS_Shape &S)
TopoDS_Shape | IsoLineVCompound ()
TopoDS_Shape | IsoLineVCompound (const TopoDS_Shape &S)
TopoDS_Shape | HCompound ()
TopoDS_Shape | HCompound (const TopoDS_Shape &S)
TopoDS_Shape | Rg1LineHCompound ()
TopoDS_Shape | Rg1LineHCompound (const TopoDS_Shape &S)
TopoDS_Shape | RgNLineHCompound ()
TopoDS_Shape | RgNLineHCompound (const TopoDS_Shape &S)
TopoDS_Shape | OutLineHCompound ()
TopoDS_Shape | OutLineHCompound (const TopoDS_Shape &S)
TopoDS_Shape | IsoLineHCompound ()
TopoDS_Shape | IsoLineHCompound (const TopoDS_Shape &S)

## Detailed Description

A framework for filtering the computation results of an HLRBRep_Algo algorithm by extraction. From the results calculated by the algorithm on a shape, a filter returns the type of edge you want to identify. You can choose any of the following types of output:

- visible sharp edges
- hidden sharp edges
- visible smooth edges
- hidden smooth edges
- visible sewn edges
- hidden sewn edges
- visible outline edges
- hidden outline edges.
- visible isoparameters and
- hidden isoparameters. Sharp edges present a C0 continuity (non G1). Smooth edges present a G1 continuity (non G2). Sewn edges present a C2 continuity. The result is composed of 2D edges in the projection plane of the view which the algorithm has worked with. These 2D edges are not included in the data structure of the visualized shape. In order to obtain a complete image, you must combine the shapes given by each of the chosen filters. The construction of the shape does not call a new computation of the algorithm, but only reads its internal results. The methods of this shape are almost identic to those of the HLRBrep_PolyHLRToShape class.

## Constructor & Destructor Documentation

HLRBRep_HLRToShape::HLRBRep_HLRToShape | ( | const Handle< HLRBRep_Algo > & | A | ) |

Constructs a framework for filtering the results of the HLRBRep_Algo algorithm, A. Use the extraction filters to obtain the results you want for A.

## Member Function Documentation

TopoDS_Shape HLRBRep_HLRToShape::HCompound | ( |  | ) |

TopoDS_Shape HLRBRep_HLRToShape::HCompound | ( | const TopoDS_Shape & | S | ) |

TopoDS_Shape HLRBRep_HLRToShape::IsoLineHCompound | ( |  | ) |

TopoDS_Shape HLRBRep_HLRToShape::IsoLineHCompound | ( | const TopoDS_Shape & | S | ) |

TopoDS_Shape HLRBRep_HLRToShape::IsoLineVCompound | ( |  | ) |

TopoDS_Shape HLRBRep_HLRToShape::IsoLineVCompound | ( | const TopoDS_Shape & | S | ) |

TopoDS_Shape HLRBRep_HLRToShape::OutLineHCompound | ( |  | ) |

TopoDS_Shape HLRBRep_HLRToShape::OutLineHCompound | ( | const TopoDS_Shape & | S | ) |

TopoDS_Shape HLRBRep_HLRToShape::OutLineVCompound | ( |  | ) |

TopoDS_Shape HLRBRep_HLRToShape::OutLineVCompound | ( | const TopoDS_Shape & | S | ) |

TopoDS_Shape HLRBRep_HLRToShape::OutLineVCompound3d | ( |  | ) |

TopoDS_Shape HLRBRep_HLRToShape::Rg1LineHCompound | ( |  | ) |

TopoDS_Shape HLRBRep_HLRToShape::Rg1LineHCompound | ( | const TopoDS_Shape & | S | ) |

TopoDS_Shape HLRBRep_HLRToShape::Rg1LineVCompound | ( |  | ) |

TopoDS_Shape HLRBRep_HLRToShape::Rg1LineVCompound | ( | const TopoDS_Shape & | S | ) |

TopoDS_Shape HLRBRep_HLRToShape::RgNLineHCompound | ( |  | ) |

TopoDS_Shape HLRBRep_HLRToShape::RgNLineHCompound | ( | const TopoDS_Shape & | S | ) |

TopoDS_Shape HLRBRep_HLRToShape::RgNLineVCompound | ( |  | ) |

TopoDS_Shape HLRBRep_HLRToShape::RgNLineVCompound | ( | const TopoDS_Shape & | S | ) |

TopoDS_Shape HLRBRep_HLRToShape::VCompound | ( |  | ) |

TopoDS_Shape HLRBRep_HLRToShape::VCompound | ( | const TopoDS_Shape & | S | ) |

The documentation for this class was generated from the following file:

- HLRBRep_HLRToShape.hxx